CFLAGS= -g -I../mip
OBJECTS=  clock.o display.o error.o goto.o io.o misc.o random.o \
	set.o startup.o
PCFLAGS= -g -p -I../../mip
POBJECTS= libp/clock.o libp/display.o libp/error.o goto.o libp/io.o \
	libp/misc.o libp/random.o libp/set.o libp/startup.o
all: libuvapc.a libp/libuvapc.a
libuvapc.a: $(OBJECTS)
	/bin/rm -f libuvapc.a; ar -q libuvapc.a $(OBJECTS)
libp/libuvapc.a: $(POBJECTS)
	/bin/rm -f libp/libuvapc.a; ar -q libp/libuvapc.a $(POBJECTS)
clock.o: clock.c
display.o: display.c runtime.h
error.o: error.c
goto.o: goto.s
	$(CC) -c goto.s
goto.s: goto.c
	cp goto.c goto.s
io.o : io.c runtime.h
misc.o: misc.c
random.o: random.c
set.o: set.c runtime.h
startup.o: startup.c runtime.h
libp/clock.o: clock.c
	cd libp; $(CC) -c $(PCFLAGS) ../clock.c
libp/display.o: display.c runtime.h
	cd libp; $(CC) -c $(PCFLAGS) ../display.c
libp/error.o: error.c
	cd libp; $(CC) -c $(PCFLAGS) ../error.c
libp/io.o : io.c runtime.h
	cd libp; $(CC) -c $(PCFLAGS) ../io.c
libp/misc.o: misc.c
	cd libp; $(CC) -c $(PCFLAGS) ../misc.c
libp/random.o: random.c
	cd libp; $(CC) -c $(PCFLAGS) ../random.c
libp/set.o: set.c runtime.h
	cd libp; $(CC) -c $(PCFLAGS) ../set.c
libp/startup.o: startup.c runtime.h
	cd libp; $(CC) -c $(PCFLAGS) ../startup.c
